Imagick::medianFilterImage
Imagick::minifyImage
Imagick
PHP Manual

# Imagick::mergeImageLayers

(PECL imagick 2.1.0)

Imagick::mergeImageLayers — Merges image layers

### Description

bool Imagick::mergeImageLayers ( int `$layer_method` )

Merges image layers into one. This method is useful when working with image formats that use multiple layers such as PSD. The merging is controlled using the `layer_method` which defines how the layers are merged. This method is available if Imagick has been compiled against ImageMagick version 6.3.7 or newer.

### Parameters

`layer_method`

  One of the `Imagick::LAYERMETHOD_*` constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::flattenImages() - Merges a sequence of images

Imagick::medianFilterImage
Imagick::minifyImage
Imagick
PHP Manual